Bug 839261 - Build hangs when building mylyn
Build hangs when building mylyn
Product: Fedora
Classification: Fedora
Component: tycho (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-11 07:54 EDT by Krzysztof Daniel
Modified: 2014-01-12 19:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-16 16:03:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Krzysztof Daniel 2012-07-11 07:54:50 EDT
I'm not sure if this is tycho or maven, but
(1) install eclipse and mylyn
(2) import eclipse-mylyn from fedora git
(3) fedpkg local
The build will be scanning projects forever. After uninstalling mylyn, build completes normally.
Comment 1 Roland Grunberg 2012-07-23 11:30:22 EDT
The phase when Tycho is scanning for projects is where the p2 repository gets created. I can add some debug messages here to make it more clear.

Can you try performing the build as above, but when it gets to scanning for projects, go into .m2/p2/repo/plugins (relative to the source folder) and run : watch -n1 -d 'ls | wc -l' . This is just to confirm that the publisher is adding jars to the repo. It might take a few seconds for this folder to be created, but once it exists, the number of jars should be increasing.

The completion of the p2 repo took some time for me (~4 min), but after that the build proceeded as expected. I'm not sure why mylyn would be slowing it down by that much.
Comment 2 Roland Grunberg 2012-10-16 16:03:48 EDT
eclipse-mylyn has been built since, so it seems like this is either not an issue, or perhaps a case of too many bundles on the machine used for building. Looking at my previous comment it seems the build was working, but perhaps the creation of the p2 repository took longer. I'll be closing this as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.